;;;; type-errors-numbers.integer.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(module type-errors-numbers.integer

(;export
  error-integer
  error-positive-integer error-non-negative-integer error-natural-integer
  error-negative-integer error-non-positive-integer)

(import scheme)
(import (chicken base))
(import (chicken module))
(import (chicken type))
(import type-errors-basic)

(: error-integer (* * #!optional * -> noreturn))
(: error-positive-integer (* * #!optional * -> noreturn))
(: error-non-negative-integer  (* * #!optional * -> noreturn))
(: error-natural-integer (* * #!optional * -> noreturn))
(: error-negative-integer (* * #!optional * -> noreturn))
(: error-non-positive-integer (* * #!optional * -> noreturn))

(define-error-type integer)
(define-error-type positive-integer)
(define-error-type non-negative-integer)
(define error-natural-integer error-non-negative-integer)
(define-error-type negative-integer)
(define-error-type non-positive-integer)

) ;module type-errors-numbers.integer
