;;;; type-errors-numbers.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(module type-errors-numbers ()

(import scheme)
(import (chicken base))
(import (chicken module))
(import (chicken type))
(import type-errors-basic)

(import (type-errors-numbers interval))
(reexport (type-errors-numbers interval))

(import (type-errors-numbers scheme))
(reexport (type-errors-numbers scheme))

(import (type-errors-numbers number))
(reexport (type-errors-numbers number))

(import (type-errors-numbers fixnum))
(reexport (type-errors-numbers fixnum))

(import (type-errors-numbers integer))
(reexport (type-errors-numbers integer))

(import (type-errors-numbers bignum))
(reexport (type-errors-numbers bignum))

(import (type-errors-numbers ratnum))
(reexport (type-errors-numbers ratnum))

(import (type-errors-numbers flonum))
(reexport (type-errors-numbers flonum))

(import (type-errors-numbers cplxnum))
(reexport (type-errors-numbers cplxnum))

) ;module type-errors-numbers
